5

After I migrating my MacBook, I found out I miss the command gpg.

And it threw this error when I wanted to install rvm

⋊> ~ gpg                                                                15:39:34
dyld: Library not loaded: /usr/local/opt/gettext/lib/libintl.8.dylib
  Referenced from: /usr/local/bin/gpg
  Reason: image not found
fish: 'gpg' terminated by signal SIGABRT (Abort)

I have tried the following way to fix it, but none of them works.

brew upgrade gnupg
brew unlink gnupg
brew link gnupg

Furthermore, I don't have this folder /usr/local/opt/gettext/.

Did I need to install something to fix this issue?

Update

I put the output of brew doctor here

https://gist.github.com/fifiteen82726/fae106018447e868d64ff1a9d3e6266a

  • I download the latest version of GPG (gpgtools.org), and it works. – Coda Chang Feb 17 '18 at 17:45
  • How did you install it, not via brew? – tink Aug 9 '18 at 22:57
  • 1
    @tink By above link, releases.gpgtools.org/GPG_Suite-2018.3.dmg – Coda Chang Aug 14 '18 at 22:03
  • Cheers. I went down a slightly more complex path; unlinking things and re-installing via brew ... also worked in the end. – tink Aug 14 '18 at 23:07

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.